<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>State</title>
<link href="../../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../../styles/style.css" rel="Stylesheet"><link href="../../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../../styles/main.css" rel="Stylesheet"><link href="../../../../styles/prism.css" rel="Stylesheet"><link href="../../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.app.device.sx/SxAppContractor.State/State/#kotlin.String?#kotlin.String?#kotlin.String?#kotlin.String?#kotlin.String?#com.aptener.bluconnect.device.ahcontrol.Battery.BatteryLevel#com.aptener.bluconnect.device.ahcontrol.Volume.VolumeLevel#com.aptener.bluconnect.device.ahcontrol.Volume.AudioOverlayState#com.aptener.bluconnect.app.device.sx.usecase.FwAppStateCtrlSx.FwStateSx#com.aptener.bluconnect.device.ahcontrol.MediaPlayer.MediaPlayerState#com.aptener.bluconnect.device.ahcontrol.Dialer.DialerState#com.aptener.bluconnect.device.ahcontrol.Dialer.DialerState#com.aptener.bluconnect.device.ahcontrol.ButtonClick.ButtonAction#com.aptener.bluconnect.device.ahcontrol.RideLynk.RideLynkState#com.aptener.bluconnect.device.ahcontrol.RideLynk.RideLynkError?#com.aptener.bluconnect.device.ahcontrol.RideGrid.RideGridState#kotlin.collections.List[com.aptener.bluconnect.device.RideGridDevice]#com.aptener.bluconnect.device.ahcontrol.SecondPhone.SecondPhoneState#kotlin.Int?#com.aptener.bluconnect.device.ahcontrol.VoiceAnnouncement.VoiceNotificationState#java.util.ArrayList[com.aptener.bluconnect.device.ahcontrol.SpeedDial.SpeedDialContact?]#com.aptener.bluconnect.device.ahcontrol.RideGrid.RideGridInvite?#kotlin.ByteArray/PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../../index.html">bluconnect</a>/<a href="../../index.html">com.aptener.bluconnect.app.device.sx</a>/<a href="../index.html">SxAppContractor</a>/<a href="index.html">State</a>/<a href="-state.html">State</a></div>
          <div class="cover ">
            <h1 class="cover"><span><span>State</span></span></h1>
          </div>
          <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="-state.html"><span class="token function">State</span></a><span class="token punctuation">(</span>fwVersion<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>fwOtaVersion<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>hwVersion<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>nrfFwVersion<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>nrfOtaVersion<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>battery<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-battery/-battery-level/index.html">Battery.BatteryLevel</a><span class="token operator"> = </span>Battery.BatteryLevel(0, Battery.ChargingState.UNKNOWN)<span class="token punctuation">, </span>volumeLevel<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-volume/-volume-level/index.html">Volume.VolumeLevel</a><span class="token operator"> = </span>VolumeLevel(0, false, VolumeBoost.BALANCED, EqualizerBassBoost.REGULAR)<span class="token punctuation">, </span>audioOverlayState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-volume/-audio-overlay-state/index.html">Volume.AudioOverlayState</a><span class="token operator"> = </span>AudioOverlayState.Off(0)<span class="token punctuation">, </span>fwState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.app.device.sx.usecase/-fw-app-state-ctrl-sx/-fw-state-sx/index.html">FwAppStateCtrlSx.FwStateSx</a><span class="token operator"> = </span>FwAppStateCtrlSx.FwStateSx.Unknown<span class="token punctuation">, </span>mediaPlayerImplState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-media-player/-media-player-state/index.html">MediaPlayer.MediaPlayerState</a><span class="token operator"> = </span>MediaPlayer.MediaPlayerState.Idle<span class="token punctuation">, </span>dialerImplState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-dialer/-dialer-state/index.html">Dialer.DialerState</a><span class="token operator"> = </span>Dialer.DialerState.Idle<span class="token punctuation">, </span>dialerImplStateSecondaryPhone<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-dialer/-dialer-state/index.html">Dialer.DialerState</a><span class="token operator"> = </span>Dialer.DialerState.Idle<span class="token punctuation">, </span>buttonAction<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-button-click/-button-action/index.html">ButtonClick.ButtonAction</a><span class="token operator"> = </span>ButtonClick.ButtonAction.Unknown()<span class="token punctuation">, </span>rideLynkState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-ride-lynk/-ride-lynk-state/index.html">RideLynk.RideLynkState</a><span class="token operator"> = </span>RideLynk.RideLynkState.Unavailable<span class="token punctuation">, </span>rideLynkErrorEvent<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-ride-lynk/-ride-lynk-error/index.html">RideLynk.RideLynkError</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>rideGridState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-ride-grid/-ride-grid-state/index.html">RideGrid.RideGridState</a><span class="token operator"> = </span>RideGrid.RideGridState.OFF<span class="token punctuation">, </span>rideGridDevices<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html">List</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../../com.aptener.bluconnect.device/-ride-grid-device/index.html">RideGridDevice</a><span class="token operator">&gt;</span><span class="token operator"> = </span>emptyList()<span class="token punctuation">, </span>secondPhoneState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-second-phone/-second-phone-state/index.html">SecondPhone.SecondPhoneState</a><span class="token operator"> = </span>SecondPhone.SecondPhoneState.DISCONNECTED<span class="token punctuation">, </span>autoSleepTime<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>voiceAnnouncementState<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-voice-announcement/-voice-notification-state/index.html">VoiceAnnouncement.VoiceNotificationState</a><span class="token operator"> = </span>VoiceAnnouncement.VoiceNotificationState.Idle<span class="token punctuation">, </span>speedDialList<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-array-list/index.html">ArrayList</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-speed-dial/-speed-dial-contact/index.html">SpeedDial.SpeedDialContact</a><span class="token operator">?</span><span class="token operator">&gt;</span><span class="token operator"> = </span>ArrayList(listOf(null, null, null, null, null))<span class="token punctuation">, </span>rideGridInvite<span class="token operator">: </span><a href="../../../com.aptener.bluconnect.device.ahcontrol/-ride-grid/-ride-grid-invite/index.html">RideGrid.RideGridInvite</a><span class="token operator">?</span><span class="token operator"> = </span>null<span class="token punctuation">, </span>rawBytes<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator"> = </span>byteArrayOf()<span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

